[ТЕМА ЗАКРЫТА]
Опции темы
17.03.2016 07:41  
aldemko
Всем привет
второй день решаю различные вопросы по настройке сервера, дорешался до того что вчера весь откатывался, начинал с начала и прочее
Подробнее в этих темах
https://olegon.ru/showthread.php?p=253049#post253049
https://olegon.ru/showthread.php?t=23973
https://olegon.ru/showthread.php?t=24206
и прочее
С горем пополам при помощи (огромной) twix и Olegon все же вернулся на стартовую позицию и теперь (так как уже не имею панельки) начинаю все с начала

nginx+php-fpm установили
php-mysql тоже

Сайты кое как начали открываться
Точнее простой сайт работает без проблем, но меня по большей части интересуют сайты на битриксе которые увы не корректно работают или не работают во все.

Почитав рекомендации по битриксу
я установил еще следующие
пакеты:
Код:
yum install gd
yum install php-xml
yum install freetype  - latest стоит
yum install zlib-devel    В php.ini вписал zlib.output_compression = On
yum install php-posix
yum install pcre-devel


Нужны ли были мне эти пакеты ? не навредят ли они в целом ?
и может есть еще какие нужные вещи ?

Так же мне понадобится акселератор PHP
но так как у меня php 5.3 то самый привлекательный (OPcache) мне не доступен. (он не поддерживается этой версией php)

eAccelerator - вроде как еще поддерживается версией Php, но уже не поддерживается новыми ядрами Битрикса

остается XCache и APC
что из этого лучше выбрать ?
+ нашел не большой мануал по установке XCache
Скрытый текст (вы должны войти под своим логином или зарегистрироваться и иметь 1 сообщение(ий)):
У вас нет прав чтобы видеть скрытый текст, содержащийся здесь.
- Верно ли там все описано ?
 
17.03.2016 08:04  
aldemko
Я нашел список расширений php
но он огромен, и что там нужно что нет не понятно
 
17.03.2016 08:16  
aldemko
Нашел расширения php которые обычно включены в хостинг тарифы

хотел бы уточнить нужны ли они мне:
Код:
yum install php-mhash
yum install php-curl
yum install php-mbstring
 
17.03.2016 08:36  
OlegON
Не заводи, пожалуйста, общих тем.
Про пакеты. Лишнее всегда хорошо с точки зрения разработчика, но плохо - с точки зрения безопасности. Если все работает - не нужны.
Что касается XCache и APC, то с первым больше проблем, но он быстрее. В любом случае лучше обновить PHP.
 
 
Опции темы



Часовой пояс GMT +3, время: 23:27.

Все в прочитанное - Календарь - RSS - - Карта - Вверх 👫 Яндекс.Метрика
Форум сделан на основе vBulletin®
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd. Перевод: zCarot и OlegON
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.